<div>
    <div class="input-wrapper">
        <fa-icon [icon]="faCoffee" ngClass="wee"></fa-icon>
        <input type="text" id="search" placeholder="Sök (namn, personnummer, handläggare)">
    </div>
    <digi-table af-variation="secondary">
        <table>
            <thead>
                <tr>
                    <th class="column-header" scope="col" *ngFor="let column of columns">
                        <grid-filter-overlay [column]="column"
                            (filterSelect)="filterSelect($event)"></grid-filter-overlay>
                    </th>
                </tr>
            </thead>
            <tbody>
                <!--         <js-table-row *ngFor="let applicant of applicants"
                      [applicant]="applicant"
                      [displayColumns]="columnsDisplayName"
                      (rowClick)="expandRow($event)"
                      ></js-table-row> -->

                <!--    <tr js-table-row *ngFor="let applicant of applicants"
            [applicant]="applicant"></tr> -->

                <tr *ngFor="let value of values" (click)="expandRow($event)">
                    <td *ngFor="let column of columns">
                        <span *ngIf="column.extraKey !== ''; then tBlock else eBlock"></span>

                        <ng-template #tBlock>
                            <span *ngIf="value[column.extraKey]; else other_content">
                                <fa-icon [icon]="faCheckCircle" ngClass="green"></fa-icon>
                            </span>
                            {{ value[column.key] }}

                            <ng-template #other_content>
                                <span>
                                    <fa-icon [icon]="faExclamationCircle" ngClass="red"></fa-icon>
                                </span>
                            </ng-template>
                        </ng-template>


                        <ng-template #eBlock>{{ value[column.key] }}</ng-template>


                    </td>
                </tr>
            </tbody>
        </table>
    </digi-table>
</div>